Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageVariance3D Class Reference

`#include <vtkImageVariance3D.h>`

Inheritance diagram for vtkImageVariance3D:

[legend]
Collaboration diagram for vtkImageVariance3D:

[legend]
List of all members.

## Detailed Description

Variance in a neighborhood.

Date:
  2002/01/22 15:33:40

Revision:
  1.23

vtkImageVariance3D replaces each pixel with a measurement of pixel variance in a elliptical neighborhood centered on that pixel. The value computed is not exactly the variance. The difference between the neighbor values and center value is computed and squared for each neighbor. These values are summed and divided by the total number of neighbors to produce the output value.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (82%)
  - Martin, Ken (10%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageVariance3D.h)`
  - .`cxx` (`/Imaging/vtkImageVariance3D.cxx)`

Tests:
  vtkImageVariance3D (Tests)

Definition at line 52 of file vtkImageVariance3D.h.

## Public Types
typedef vtkImageSpatialFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetKernelSize (int size0, int size1, int size2)
## Static Public Methods
vtkImageVariance3D * | New ()
int | IsTypeOf (const char *type)
vtkImageVariance3D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageVariance3D ()
| ~vtkImageVariance3D ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
vtkImageEllipsoidSource * | Ellipse

## Member Typedef Documentation

typedef vtkImageSpatialFilter vtkImageVariance3D::Superclass

| Reimplemented from vtkImageSpatialFilter. Definition at line 56 of file vtkImageVariance3D.h.

## Constructor & Destructor Documentation

vtkImageVariance3D::vtkImageVariance3D | ( |  | ) | `[protected]`

vtkImageVariance3D::~vtkImageVariance3D | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageVariance3D* vtkImageVariance3D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageSpatialFilter.

virtual const char* vtkImageVariance3D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSpatialFilter.

int vtkImageVariance3D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

virtual int vtkImageVariance3D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

vtkImageVariance3D* vtkImageVariance3D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSpatialFilter.

void vtkImageVariance3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSpatialFilter.

void vtkImageVariance3D::SetKernelSize | ( | int | size0,
|  | int | size1,
|  | int | size2
| ) |

| This method sets the size of the neighborhood. It also sets the default middle of the neighborhood and computes the Elliptical foot print.

void vtkImageVariance3D::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageSpatialFilter.

void vtkImageVariance3D::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageSpatialFilter. Definition at line 71 of file vtkImageVariance3D.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageVariance3D::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

vtkImageEllipsoidSource* vtkImageVariance3D::Ellipse`[protected]`

| Definition at line 68 of file vtkImageVariance3D.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageVariance3D.h